using System;

namespace id.Quake.Files {
	public interface IMipMappedPicture {

		/// <summary>Gets a picture from the file adjusting for mip level.</summary>
		Picture GetPicture(int mipLevel);

	}

	public class CroppedMipMappedPicture : IMipMappedPicture {

		private readonly IMipMappedPicture Source;

		private readonly int X;
		private readonly int Y;
		private readonly int Width;
		private readonly int Height;

		public CroppedMipMappedPicture(IMipMappedPicture source, int x, int y, int width, int height) {
			this.Source = source; 
			this.X = x; this.Y = y; this.Width = width; this.Height = height;
		}


		public Picture GetPicture(int mipLevel) {
			Picture P = this.Source.GetPicture(mipLevel);
			int Divisor = 1 << mipLevel;
			return P.GetCropped(this.X / Divisor, this.Y / Divisor, this.Width / Divisor, this.Height / Divisor);
		}

	}

}
