using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace id.Quake.Files {
	public partial class Level {

		#region Properties

		private readonly Edge[] edges;
		/// <summary>Gets the edges for the level.</summary>
		[Category("Geometry")]
		public Edge[] Edges {
			get { return this.edges; }
		}

		#endregion

		/// <summary>Represents an edge of a face.</summary>
		public struct Edge {
			/// <summary>Index of the a vertex.</summary>
			public ushort Start;
			/// <summary>Index of the end vertex.</summary>
			public ushort End;
			public Edge(ushort a, ushort end) {
				this.Start = a;
				this.End = end;
			}

			public override string ToString() {
				return this.Start + "->" + this.End;
			}

		}

	}
}
