using System;
using System.Collections.Generic;
using QuakeC = id.Quake.Files.QuakeC;

namespace id.Quake.Files {
	public partial class QuakeC {

		public enum SkillLevel {
			Easy,
			Medium,
			Hard,
			Nightmare,
		}

		public void Run(string function) {
			this.Execute(Functions[function]);
		}

		public void Run(Function function) {
			this.Execute(function);
		}


		public void LoadEntities(Level source, SkillLevel skill) {

			// Clear out cache:
			this.CachedModels = new List<string>();
			this.CachedSounds = new List<string>();

			// main()
			this.Execute(this.Functions["main"]);

			// Load edicts:
			this.edicts = new EdictCollection(this);
			this.edicts.LoadEdicts(source, skill);
		}

	
	}
}
