using System;
using System.IO;

namespace id.Quake.Packages {
	public interface IPackage {


		/// <summary>Opens a file from within the package.</summary>
		/// <param name="filename">The name of the file within the package to open.</param>
		/// <returns>A stream that can be used to access data within the file.</returns>
		Stream OpenFile(string filename);

		/// <summary>Get an array of all of the file names contained within the package.</summary>
		string[] GetFiles();

		/// <summary>Check to see if a particular file exists in the package.</summary>
		/// <param name="filename">The filename to check for.</param>
		/// <returns>True if the file exists, false otherwise.</returns>
		bool FileExists(string filename);
		
	}
}
