using System;
using System.Collections.Generic;
using System.Text;

namespace id.Quake {
	public interface INamedResource {

		/// <summary>Gets or sets the name of the resource.</summary>
		/// <remarks>Some resources have their own internal name, so do not use their setter. Use the NamedInternally property to check.</remarks>
		string Name { get; set; }

		/// <summary>Gets true if the resource has an internal name, false if its name is its filename.</summary>
		bool NamedInternally { get;}
	}
}
