using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace id.Quake {

	/// <summary>Defines an angle.</summary>
	/// <remarks>This class can be used to aid convert between degrees and radians.</remarks>
	public struct Angle {

		private float value;

		/// <summary>Gets or sets the angle in degrees.</summary>
		public float Degrees {
			get { return this.value; }
			set { this.value = value; }
		}

		/// <summary>Gets or sets the angle in radians.</summary>
		public float Radians {
			get { return this.value / 180f * (float)Math.PI; }
			set { this.value = value / (float)Math.PI * 180f; }
		}

		/// <summary>Creates an instance of the Angle class</summary>
		/// <param name="degrees"></param>
		public Angle(float degrees) {
			this.value = degrees;
		}

	}
}
